@charset "UTF-8";

/* ============================================ */
/* modal
/* ============================================ */
/* ===== 閉じるボタン ===== */
.closeModalBtn {
  position: absolute;
  bottom: -30px;
  left: 50%;
  transform: translateX(-50%);
  width: 150px;
  cursor: pointer;
}

.closeModalBtn img {
  pointer-events: none;
}

/* ===== カーソル ===== */
.navBtn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  z-index: 1002;
  width: 45px;
}

.navBtn.prevBtn {
  left: -20px;
}

.navBtn.nextBtn {
  right: -20px;
}

/* ===== モーダル枠 ===== */
.modalContent {
  background: var(--color-white);
  width: 90%;
  max-width: 860px;
  height: 90svh;
  max-height: 650px;
}

.modalContent .modalBody {
  overflow-y: auto;
  position: absolute;
  top: 80px;
  left: 50%;
  transform: translateX(-50%);
  width: 90%;
  height: calc(100% - 80px - 100px) !important;
}

.modalContent .modalBody::-webkit-scrollbar {
  width: 2px;
}

.modalContent .modalBody::-webkit-scrollbar-track {
  background: var(--color-gray);
}

.modalContent .modalBody::-webkit-scrollbar-thumb {
  background: var(--color-red);
  border-radius: 1px;
}

@media screen and (max-width: 768px) {
  .closeModalBtn {
    bottom: 20px;
  }

  .navBtn {
    position: absolute;
    top: auto;
    /* bottom: 50px; */
    bottom: 0px;
  }

  .navBtn.prevBtn {
    left: 15px;
  }

  .navBtn.nextBtn {
    right: 15px;
  }

  .modalContent {
    width: 100%;
    max-width: none;
    height: 100svh;
    max-height: none;
  }
}

/* ============================================ */
/* modal（共通）
/* ============================================ */
#modal .modal-contents .text {
  font-size: 1vw;
  line-height: 2.2;
  width: 47%;
}

#modal .modal-contents .img {
  width: 47%;
}

@media screen and (max-width: 768px) {
  #modal .modal-contents .text {
    font-size: 1.1rem;
    margin-top: 30px;
    width: 100%;
  }

  #modal .modal-contents .img {
    width: 100%;
  }
}

/* ============================================ */
/* modal（各コンテンツ）
/* ============================================ */

/* ===== keyword ===== */

/*
#modal .group-keyword {
  border-top: solid 20px #f4901e;
  border-bottom: solid 10px #f4901e;
}
  */

#modal .group-keyword {
  width: 90%;
  max-width: 950px;
  height: 90svh;
  max-height: 520px;
}

#modal .group-keyword .modalBody {
  top: 0;
  width: 100%;
  height: 100% !important;
}

#modal .group-keyword::before {
  content: "";
  display: inline-block;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: right 5% bottom 10%;
  background-size: 40%;
}

#modal .group-keyword:has(.modal01)::before {
  background-image: url("../business/img/keyword/keyword01/modal-bg.png");
}

#modal .group-keyword:has(.modal02)::before {
  background-image: url("../business/img/keyword/keyword02/modal-bg.png");
}

#modal .group-keyword:has(.modal03)::before {
  background-image: url("../business/img/keyword/keyword03/modal-bg.png");
}

#modal .group-keyword:has(.modal04)::before {
  background-image: url("../business/img/keyword/keyword04/modal-bg.png");
}

#modal .group-keyword:has(.modal05)::before {
  background-image: url("../business/img/keyword/keyword05/modal-bg.png");
}

#modal .group-keyword:has(.modal06)::before {
  background-image: url("../business/img/keyword/keyword06/modal-bg.png");
}


#modal .group-keyword .modal-contents {
  display: flex;
  align-items: flex-start;
  height: 100%;
}

#modal .group-keyword .img {
  width: auto;
  height: 100%;
  aspect-ratio: 85 / 103;
  flex-shrink: 0;
  background: #ccc;
}

#modal .group-keyword .img.pc-img {
  display: block;
}

#modal .group-keyword .img.sp-img {
  display: none;
}

#modal .group-keyword .text {
  padding: 8% 5% 0;
  margin: 0;
  width: 100%;
  font-size: 1.6rem;
}

#modal .group-keyword .title {
  width: 100%;
  margin: 0 0 30px;
}

@media screen and (max-width: 1024px) {

  #modal .group-keyword {
    max-width: 720px;
    max-height: 420px;
  }

  #modal .group-keyword .text {
    font-size: 1.4rem;
  }

}

@media screen and (max-width: 768px) {

  #modal .group-keyword {
    width: 100%;
    max-width: none;
    height: 100svh;
    max-height: none;
  }

  #modal .group-keyword::before {
    background-position: right 10% bottom 90px;
    background-size: 80%;
  }

  #modal .group-keyword .modal-contents {
    flex-direction: column;
  }

  #modal .group-keyword .modal-contents .img {
    width: 100%;
    height: auto;
    aspect-ratio: 17 / 9;
    flex-shrink: 0;
    background: #ccc;
  }

  #modal .group-keyword .modal-contents .img.pc-img {
    display: none;
  }

  #modal .group-keyword .modal-contents .img.sp-img {
    display: block;
  }

  #modal .group-keyword .text {
    padding: 50px 10%;
    width: 100%;
    font-size: 1.6rem;
  }

  #modal .group-keyword .title {
    max-width: 360px;
  }

}

@media screen and (max-width: 480px) {

  #modal .group-keyword .modalBody {
    height: calc(100% - 90px) !important;
  }

  #modal .group-keyword .text {
    font-size: 1.4rem;
  }

  #modal .group-keyword .title {
    max-width: 260px;
  }
}


